Loading...
Searching...
No Matches
dictionary.h File Reference
Ciniparser | Internal API

Implements a dictionary for string variables. More...

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`

Go to the source code of this file.

## Classes

struct | _dictionary_
| Dictionary object. More...

## Typedefs

typedef struct _dictionary_ | dictionary
| Dictionary object.

## Functions

unsigned | dictionary_hash (const char *key)
| Compute the hash key for a string.
dictionary * | dictionary_new (int size)
| Create a new dictionary object.
void | dictionary_del (dictionary *vd)
| Delete a dictionary object.
const char * | dictionary_get (dictionary *d, const char *key, const char *def)
| Get a value from a dictionary.
int | dictionary_set (dictionary *vd, const char *key, const char *val)
| Set a value in a dictionary.
void | dictionary_unset (dictionary *d, const char *key)
| Delete a key in a dictionary.
void | dictionary_dump (dictionary *d, FILE *out)
| Dump a dictionary to an opened file pointer.

## Detailed Description

Implements a dictionary for string variables.

Author
  N. Devillard

Date
  Sep 2007

Version
  Revision: 1.12

This module implements a simple dictionary object, i.e. a list of string/string associations. This object is useful to store e.g. information retrieved from a configuration file (ini files).

Definition in file dictionary.h.